Package org.apache.ignite.internal.util.lang.gridfunc

## Class IdentityClosure

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.IdentityClosure

All Implemented Interfaces:
  `Serializable`, `IgniteClosure`

    public class IdentityClosure
    extends Object
    implements IgniteClosure

Identity closure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IdentityClosure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `apply​(Object o)` Closure body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IdentityClosure

    public IdentityClosure()

### Method Detail

#### apply

    public Object apply​(Object o)

Closure body.

Specified by:
  `apply` in interface `IgniteClosure`
Parameters:
  `o` - Closure parameter.
Returns:
  Closure return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`